GCUBELayoutType (Custom Portal Handler 1.4.0-SNAPSHOT API)
Date: 2014-04-02

org.gcube.portal.custom.communitymanager.types

## Enum GCUBELayoutType

- java.lang.Object
- - java.lang.Enum<GCUBELayoutType>
  - - org.gcube.portal.custom.communitymanager.types.GCUBELayoutType

- All Implemented Interfaces:
    Serializable, Comparable<GCUBELayoutType>

      public enum GCUBELayoutType
      extends Enum<GCUBELayoutType>

  Author:
    massi

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ONE_COL` gives you a single column layout
    `THREE_COL` gives you three columns
    `THREE_ROWS_1_2_5050_1` gives you one top initial row, followed by a row with 2 columns 50/50 split, followed by another row
    `TWO_COL_3070` gives you two columns split 30/70
    `TWO_COL_5050` gives you two columns split 50/50
    `TWO_COL_7030` gives you two columns split 70/30
    `TWO_ROWS_1_2_3070` gives you one top initial row, followed by 2 columns split 30/70
    `TWO_ROWS_1_2_7030` gives you one top initial row, followed by 2 columns split 70/30
    `TWO_ROWS_2_7030_2_3070` gives you one row with 2 columns 70/30 split followed by another row with 2 columns 30/70 split.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GCUBELayoutType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GCUBELayoutType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE_COL

          public static final GCUBELayoutType ONE_COL

      gives you a single column layout

    - #### TWO_COL_5050

          public static final GCUBELayoutType TWO_COL_5050

      gives you two columns split 50/50

    - #### TWO_COL_3070

          public static final GCUBELayoutType TWO_COL_3070

      gives you two columns split 30/70

    - #### TWO_COL_7030

          public static final GCUBELayoutType TWO_COL_7030

      gives you two columns split 70/30

    - #### THREE_COL

          public static final GCUBELayoutType THREE_COL

      gives you three columns

    - #### TWO_ROWS_1_2_3070

          public static final GCUBELayoutType TWO_ROWS_1_2_3070

      gives you one top initial row, followed by 2 columns split 30/70

    - #### TWO_ROWS_1_2_7030

          public static final GCUBELayoutType TWO_ROWS_1_2_7030

      gives you one top initial row, followed by 2 columns split 70/30

    - #### THREE_ROWS_1_2_5050_1

          public static final GCUBELayoutType THREE_ROWS_1_2_5050_1

      gives you one top initial row, followed by a row with 2 columns 50/50 split, followed by another row

    - #### TWO_ROWS_2_7030_2_3070

          public static final GCUBELayoutType TWO_ROWS_2_7030_2_3070

      gives you one row with 2 columns 70/30 split followed by another row with 2 columns 30/70 split.

  - ### Method Detail

    - #### values

          public static GCUBELayoutType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GCUBELayoutType c : GCUBELayoutType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GCUBELayoutType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.